
/********************************************
fin.h

libmawk changes (C) 2009-2012, Tibor 'Igor2' Palinkas;
based on mawk code coming with the below copyright:

copyright 1991, Michael D. Brennan

This is a source file for mawk, an implementation of
the AWK programming language.

Mawk is distributed without warranty under the terms of
the GNU General Public License, version 2, 1991.
********************************************/

#ifndef  FIN_H
#define  FIN_H
/* structure to control input files */

#define  MAIN_FLAG    1					/* part of main input stream if on */
#define  EOF_FLAG     2
#define  START_FLAG   4					/* used when RS == "" */

#define mawk_FIN_nomore (-2)

FIN *mawk_FINdopen(mawk_state_t *, int, int);
FIN *mawk_FINopen(mawk_state_t *, char *, int);
void mawk_FINclose(mawk_state_t *, FIN *);
void mawk_FINsemi_close(mawk_state_t *, FIN *);
char *mawk_FINgets(mawk_state_t *, FIN *, unsigned *);
unsigned mawk_fillbuff(mawk_state_t *, int, char *, unsigned, FIN *);

void mawk_open_main(mawk_state_t * MAWK);

#endif /* FIN_H */
